-- This is the file "dednat6load.lua" of Dednat6.
-- The usual way to load dednat6 is like this
-- (look at the indented files!):
--
--   \documentclass[oneside]{article}
--     \usepackage{proof}   % For derivation trees ("%:" lines)
--     \input diagxy        % For 2D diagrams ("%D" lines)
--     \xyoption{curve}     % For the ".curve=" feature in 2D diagrams
--   \begin{document}
--     \catcode`\^^J=10     % (find-es "luatex" "spurious-omega")
--     \directlua{dofile "dednat6load.lua"}
--     (...)
--   \end{document}
--
-- See: http://angg.twu.net/dednat6.html

dednat6dir = "dednat6/"            -- (find-dn6 "")
dofile(dednat6dir.."dednat6.lua")  -- (find-dn6 "dednat6.lua")
dofile(dednat6dir.."block.lua")    -- (find-dn6 "block.lua")
texfile0(status.filename)          -- Karl Berry's suggestion, 2018oct06
-- texfile(tex.jobname)            -- (find-es "luatex" "tex.jobname")
verbose()                          -- (find-dn6 "output.lua")
output(preamble1)                  -- (find-dn6 "preamble6.lua" "preamble1")

